Skip to main content
Resource Center/Resource Pool/Affinity Group Operations
PUTAffinity Group OperationsSince 2.3SynchronousAuth Required

ChangeAffinityGroupState

ChangeAffinityGroupState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • changeaffinitygroupstateObjectRequired

    changeaffinitygroupstate request body object.

    • stateEventStringRequired

      状态事件。

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAffinityGroupInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • policyStringRequired

      策略信息。

    • versionStringRequired

      版本号。

    • typeStringRequired

      类型。

    • applianceStringRequired

      设备。

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • usagesListRequired

      See usages.

      • uuidStringRequired

        The resource UUID.

      • affinityGroupUuidStringRequired

        No description provided.

      • resourceUuidStringRequired

        资源UUID。若指定,资源会使用该字段值作为UUID。

      • resourceTypeStringRequired

        资源类型。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

PUT/zstack/v1/affinity-groups/{uuid}/actions

/zstack/v1/affinity-groups/{uuid}/actions

Operation ID

ChangeAffinityGroupState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/affinity-groups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeaffinitygroupstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "034e3ef3798f3374b85d414057313a3c", "name": "Test-AffinityGroup", "description": "Test-AffinityGroup", "version": "1.0", "type": "HOST", "appliance": "CUSTOMER", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history